#
# spec file for package input-utils (Version 2005.08.02)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    SDL SDL-devel aaa_base aalib aalib-devel acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed slang slang-devel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           input-utils
BuildRequires:  SDL-devel
Version:        2005.08.02
Release:        14.2
Provides:       joystick
Obsoletes:      joystick
Autoreqprov:    on
Group:          Hardware/Joystick
License:        GPL
URL:            http://linuxconsole.sourceforge.net/input/input.html
Summary:        A Set of Utilities for Input Devices
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-prototypes.diff
Patch1:         %{name}-%{version}-makefile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define programs  evtest ffcfstress ffmvforce ffset fftest inputattach jscal jstest

%description
Utilities for input devices. It includes joystick testing and
calibration, force feedback testing, and generic event tools.



Authors:
--------
    Vojt&#283;ch Pavlk <vojtech@suse.cz>

%debug_package
%prep
%setup -n utils
%patch0
%patch1

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall" PROGRAMS="%{programs}"

%install
install -m755 -d $RPM_BUILD_ROOT%{_bindir}
install -m755 -t $RPM_BUILD_ROOT%{_bindir} %{programs}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog -n input-utils
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 02 2005 - mjancar@suse.cz
- update to current cvs
* Fri May 28 2004 - mcihar@suse.cz
- update to current cvs
- renamed to input-utils and included more programs (see bug #40444)
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Oct 30 2002 - mcihar@suse.cz
- updated to latest CVS version (excluding things that work only with 2.5.x
  kernels)
- jstest patch to fix cooperation with YaST
* Thu Nov 22 2001 - vinil@suse.cz
- update to cvs version
- temporarily removed twiddler support because of missing
  definitions in linux/serio.h (glibc-devel)
- description fixed
* Mon Nov 13 2000 - ro@suse.de
- don't include linux/module.h if not needed
* Fri Jun 16 2000 - vinil@suse.cz
- modules removed
- binaries are striped
- description fixed
* Tue May 23 2000 - vinil@suse.cz
- buildroot and description fixed
* Tue May 09 2000 - vinil@suse.cz
- update to 1.2.15
- buildroot added
* Fri Jan 21 2000 - ro@suse.de
- update to 1.2.14
* Mon Dec 06 1999 - ro@suse.de
- use RPM_OPT_FLAGS for CFLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 - ro@suse.de
- compile binaries only
* Thu Dec 11 1997 - ro@suse.de
- moved usr/include/linux/joystick.h to usr/doc/packages/joystick
* Thu Oct 09 1997 - ro@suse.de
- first suse version 0.8.0
  kernel module will be contained in package kernmod
  devices are not remade, since included in package devs
